#!/usr/bin/env bash
# add a do() to the start to enable multiplication, remove newlines
cat <(echo 'do()') input | tr -d '\n' \
`# only look at the window between do and dont` \
| grep -P -o "do\(\).*?don\'t\(\)" \
`# look for mul(<num>,<num>)` \
| grep -o 'mul([[:digit:]]\+,[[:digit:]]\+)' \
`# feed into while loop` \
| while read; do
  # cut out the digits/comma, turn the comma into a star, then calculate
  grep -o "[[:digit:]]\+,[[:digit:]]\+" <<< "$REPLY" | tr ',' '*' | bc
# turn newlines into +, except for the last one, then calculate
done | tr '\n' '+' | sed 's/+$/\n/' | bc
