#!/usr/bin/env bash
while read; do
  before=$(cut -d'|' -f 1 <<<"$REPLY")
  after=$(cut -d'|' -f 2 <<<"$REPLY")
  # regex to match lines that break rules
  echo $after'.*'$before
# loop over lines with pipes, output to temp file
done < <(sed -n "/|/p" input) > regex

while read; do
  if grep -vqf regex <<<"$REPLY"; then
    pages=$(grep -o ','<<<"$REPLY" | wc -l)
    cut -d ',' -f $(( $pages / 2 + 1 )) <<<"$REPLY"
  fi
done < <(sed -n "/,/p" input) \
| tr '\n' '+' | sed 's/+$/\n/g' | bc
# the classic newline to + sign trick to add all results
# and delete temp file
rm regex
