#!/usr/bin/env bash

while read; do
  (( i++ ))
  left[$i]="${REPLY}"
# order no longer matters, so don't sort
done < <(cat input | cut -f 1 -d' ')
unset i

for row in `seq 1 ${#left[@]}`; do
  # i love this hell pipeline with hell commenting
  cat input \
 `# cut out the left half of the input` \
  | cut -f 4 -d' ' \
 `# count occurances of the current row on the left` \
  | grep -c ${left[$row]} \
 `# append that value` \
  | cat - <(echo "${left[$row]}") \
 `# turn all but the last newline into a star` \
  | tr '\n' '*' | sed 's/*$/\n/' \
  | bc
done | tr '\n' '+' | sed 's/+$/\n/' | bc
