#!/usr/bin/env bash
source ../func/array.sh
declare -A input_arr
file_to_array input input_arr

# returns cordinates of literal matchs
char_to_cord(){
  while read; do
    local y
    (( y++ ))
    linelen=$(wc -L <<<"$REPLY")
    for x in $(seq 1 $linelen); do
      if [[ "$(cut -b $x <<<"$REPLY")" = "$2" ]]; then
        echo "$x","$y"
      fi
    done
  done < <(cat $1)
}

while read; do
  diag=$(return_neighbors input_arr "$REPLY" | tr -d '\n' | cut -b 1,3,7,9)
  case "$diag" in
    MMSS)
      (( match++ ))
    ;;
    SSMM)
      (( match++ ))
    ;;
    MSMS)
      (( match++ ))
    ;;
    SMSM)
      (( match++ ))
    ;;
  esac
done < <(char_to_cord input A)

echo $match
